
Figure - Bug #118653
【IOVDEV-33499】【内部】【解决方案】【VC1】【0088】【实车】【EE环境】频繁点击仅副屏息屏，副屏
亮起后屏幕亮度与实际亮度值不符
2023-06-08 15:57 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 20%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0106.C104

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【出现时间】：2023.6.08 15：22

【前提条件】：

1、整车上电

【操作步骤】：

1、频繁点击仅副屏息屏开关

【实际结果】：

点击多次后屏幕亮度与实际亮度值不符

【期望结果】：

副屏亮起后，屏幕亮度与实际亮度值一致

【备 注】：安卓日志已上云

【车 架 号】：LJD8BB3F7P0000708

【环境信息】：EE

【版本详情】：03.02.0088.C103

【复归方法】：调节副屏亮度后恢复

【数采仪编号】：0300151

【副屏版本】：01.00.0106.C104

History

#1 - 2023-06-08 16:00 - CDTS_Test 吴诗雨

- File 1686211192260.zip added

#2 - 2023-06-09 11:32 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-06-10 16:23 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#4 - 2023-06-10 17:37 - CD FW-程天颖

- Category changed from CD-FW to BSP

- Assignee changed from CD FW-程天颖 to CD BSP-杜磊

当前分析:

2025-07-04 1/3



bug复现时最后一次亮屏日志,此时屏幕亮度发生异常

06-08 15:22:30.579 2132 8929 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

bug复现后调节亮度日志,亮度恢复正常

15:23:04.813 1476 1651 V DisplayPowerController0: Brightness [1.0] reason changing to: 'temporary', previous reason: 'manual'. 

bug复现期间自动亮度开关为关,副屏亮度不会收到亮度同步影响,所以并没有改变副屏亮度.

上层设置亮度时,会有此类日志打印:

V DisplayPowerController[0]: Brightness [1.0] reason changing to: 'temporary', previous reason: 'manual'.

但是在bug复现期间,上层并没有设置亮度的日志打印,所以上层并没有设置副屏亮度

下一步:

查看驱动的log,观察驱动是否有设置亮度.

#5 - 2023-06-12 11:10 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to DUPLICATE

在JIRA上跟踪， 内部关闭此票。

#6 - 2023-06-12 15:58 - CD BSP-杜磊

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/203629

#7 - 2023-06-14 11:22 - CD BSP-杜磊

中控端对副屏进行快速两灭屏操作：

001011_kernel_00799_230608_151754.log

2284:06-08 15:22:24.645     0     0 E [ 8631.368914] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: display on, abnormal backlight sta:0 cur:lvl:0

set:lvl:100

2287:06-08 15:22:24.958     0     0 I [ 8631.685421] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 0

2288:06-08 15:22:24.958     0     0 I [ 8631.685793] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

------------------------------------------------------------------------------------------------------------------------------------ 

１．快速操作，发现系统此时为亮屏状态，而lcd还未亮屏，此背光等级为100 (cur:lvl:0 set:lvl:100), 上一状态是熄屏(cur:lvl:0 set:lvl:100)，背光等级为０，即

灭屏。

比较前后两灭屏状态，发现lcd芯片内部亮度等级与设置的亮度等级不一致，则重新设置系统设置的亮度值。

2297:06-08 15:22:25.552     0     0 I [ 8632.279245] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 1

2298:06-08 15:22:25.554     0     0 I [ 8632.280279] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

------------------------------------------------------------------------------------------------------------------------------------ 

3. 请一状态系统灭屏时，系统的亮度等级为100, 亮屏后，再进入灭屏亮度等级变为１．　说明亮度等级发生改变是在１．２之间。

2304:06-08 15:22:26.525     0     0 I [ 8633.249100] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 0

2305:06-08 15:22:26.525     0     0 I [ 8633.249646] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

2308:06-08 15:22:26.661     0     0 E [ 8633.385241] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: display off, backlight not turn off, sta:1 lvl:1

------------------------------------------------------------------------------------------------------------------------------------ 

２．　此次灭屏状态下，发现lcd屏幕还未灭屏，则强制关闭背光，关闭背光前，读取的亮度等级值为1. 说明在本次熄屏前，系统设置到lcd芯片中的等级

变为１．
android log: 是否有背光操作，检查一下灭屏时设置的背光是多少？

79:06-08 15:22:24.911  1476  1651 I DisplayPowerController0: Blocking screen off

80:06-08 15:22:24.912  1476  1651 I DisplayPowerController0: Unblocked screen off after 1 ms

89:06-08 15:22:24.920  1476  1651 V DisplayPowerController0: Brightness [0.0] reason changing to: 'screen_off', previous reason: 'manual'.

239:06-08 15:22:25.480  1476  1651 I DisplayPowerController0: Blocking screen on until initial contents have been drawn.

260:06-08 15:22:25.490  1476  1651 V DisplayPowerController0: Brightness [1.0] reason changing to: 'manual', previous reason: 'screen_off'.

278:06-08 15:22:25.500  1476  1651 I DisplayPowerController0: Unblocked screen on after 20 ms

#8 - 2023-06-17 16:34 - 物联网测试组_CDTS  唐霞 

Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230615/202306152209-4447版本验证100次未复现

#9 - 2023-06-17 16:46 - 物联网测试组_CDTS  唐霞 

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230616/202306161942-4479版本验证100次未复现

#10 - 2023-06-19 13:52 - CD BSP-杜磊

- Status changed from RESOLVED to NEED_INFO

- Assignee changed from CD BSP-杜磊 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 20

请帮忙使用如下添加了log的VB版本验证

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230615/202306152209-4447

#11 - 2023-07-24 17:53 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to 移动测试一组_CDTS 刘强

#12 - 2023-08-02 15:59 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to RESOLVED

客户验证通过已关闭

#13 - 2023-08-02 16:00 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#14 - 2023-08-02 16:00 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-33499.zip 11.2 MB 2023-06-08 CDTS_Test 吴诗雨

1686211192260.zip 2.67 MB 2023-06-08 CDTS_Test 吴诗雨
